## ros-melodic-audio-capture 0.3.9

=== debian/changelog ===
ros-melodic-audio-capture (0.3.9-1stretch) stretch; urgency=high

  * Merge pull request #160 <https://github.com/ros-drivers/audio_common/issues/160> from knorth55/add-device-play
  * use ROS_INFO instead of printf
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Wed, 21 Oct 2020 15:00:00 -0000

ros-melodic-audio-capture (0.3.8-1stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sat, 12 Sep 2020 15:00:00 -0000

ros-melodic-audio-capture (0.3.7-1stretch) stretch; urgency=high

  * Merge pull request #150 <https://github.com/ros-drivers/audio_common/issues/150> from sktometometo/fix_mp3_options
    Fix property of lamemp3enc element in audio_capture so that the bitrate parameter work properly.
  * fix property of lamemp3enc element so that it will use the specified bitrate
  * Merge pull request #146 <https://github.com/ros-drivers/audio_common/issues/146> from knorth55/mp3-support
  * use space instead of tab
  * use same caps
  * support channls for mp3
  * Merge pull request #145 <https://github.com/ros-drivers/audio_common/issues/145> from knorth55/mp3-channel-rate
    [audio_capture] add sample_format in audio_capture
  * Merge pull request #147 <https://github.com/ros-drivers/audio_common/issues/147> from knorth55/fix-filesink
    [audio_capture] fix filesink for wave format
  * add sample_format arg in capture_to_file.launch
  * fix filesink for wave format
  * add sample_format in audio_capture
  * Contributors: Koki Shinjo, Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Fri, 07 Aug 2020 15:00:00 -0000

ros-melodic-audio-capture (0.3.6-1stretch) stretch; urgency=high

  * Merge pull request #141 <https://github.com/ros-drivers/audio_common/issues/141> from knorth55/add-maintainer
    add maintainer
  * add maintainer
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Thu, 28 May 2020 15:00:00 -0000

ros-melodic-audio-capture (0.3.5-1stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 27 Apr 2020 15:00:00 -0000

ros-melodic-audio-capture (0.3.4-1stretch) stretch; urgency=high

  * Merge branch 'master' of github.com:ros-drivers/audio_common
  * Contributors: Gerard Canal

 -- Austin Hendrix <namniart@gmail.com>  Wed, 01 Apr 2020 15:00:00 -0000

ros-melodic-audio-capture (0.3.3-1stretch) stretch; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 21 May 2018 15:00:00 -0000

ros-melodic-audio-capture (0.3.2-1stretch) stretch; urgency=high

  * [sound_play] add option to select audio device to play / record (#87 <https://github.com/ros-drivers/audio_common/issues/87>)
    * [sound_play] add option to select audio device to play
    * [sound_play] reformat README to markdown; add usage to set device via rosparam
    * audio_capture: add option for selecting device to use
    * audio_play: add option to select device for playing audio
    * add device argument to launch files
    Conflicts:
    audio_capture/launch/capture.launch
    audio_capture/launch/capture_to_file.launch
    audio_capture/src/audio_capture.cpp
    audio_play/launch/play.launch
    sound_play/scripts/soundplay_node.py
  * Merge pull request #102 <https://github.com/ros-drivers/audio_common/issues/102> from EndPointCorp/fix_capture_leak
    Fix audio_capture leak
  * Fix audio_capture sample/buffer leak
  * Merge pull request #90 <https://github.com/ros-drivers/audio_common/issues/90> from prarobo/master
    Error checking code and improvements to launch files
  * Bug fix
  * fix(audio_capture): capturing wave using gst1.0
    0.10-style raw audio caps were being created, according to GStreamer warning. Should be audio/x-raw,format=(string).. now.
  * Merge pull request #1 <https://github.com/ros-drivers/audio_common/issues/1> from prarobo/fixes
    Error checking code and improvements to launch files
  * Removed default device
  * Added error checking code
  * Added parameters to launch files
  * Contributors: Austin, Matt Vollrath, Prasanna Kannappan, Rokus, Yuki Furuta, prarobo

 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 May 2018 15:00:00 -0000

ros-melodic-audio-capture (0.3.1-1stretch) stretch; urgency=high

  * Update to new gstreamer rosdeps
  * #70 can launch these in different namespaces with different microphones, and both are operating.
  * #70 can switch between different microphones, but the first microphone doesn't like the hw:1, it only works with device:="" - so must be doing something wrong still.
  * Add changelogs
  * [audio_capture] add error handler
  * [audio_capture] add option to publish captured audio data as wav format
    Conflicts:
    audio_capture/src/audio_capture.cpp
  * Fixed memory leak (see #18).
  * Removed trailing whitespace.
  * Fixed problem that CMake uses gstreamer-0.1 instead of gstreamer-1.0
  * Added gstreamer 1.0 dependecies
  * Ported to gstreamer 1.0
    package.xml dependencies still missing
  * Update maintainer email
  * Contributors: Benny, Felix Duvallet, Furushchev, Lucas Walter, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Sat, 27 Aug 2016 15:00:00 -0000

ros-melodic-audio-capture (0.2.11-1stretch) stretch; urgency=high

  * Add changelogs
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Mon, 15 Feb 2016 15:00:00 -0000

ros-melodic-audio-capture (0.2.10-1stretch) stretch; urgency=high

  * Add changelogs
  * Contributors: trainman419

 -- Austin Hendrix <namniart@gmail.com>  Wed, 20 Jan 2016 15:00:00 -0000

ros-melodic-audio-capture (0.2.9-1stretch) stretch; urgency=high

  * Add changelogs
  * [audio_capture] add error handler
  * [audio_capture] add option to publish captured audio data as wav format
  * Fixed memory leak (see #18 <https://github.com/ros-drivers/audio_common/issues/18>).
  * Removed trailing whitespace.
  * Contributors: Felix Duvallet, Furushchev, trainman419

 -- Austin Hendrix <namniart@gmail.com>  Tue, 01 Dec 2015 15:00:00 -0000


