=== debian/control ===
Source: ros-melodic-audio-capture
Section: misc
Priority: optional
Maintainer: Austin Hendrix <namniart@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libgstreamer-plugins-base1.0-dev, libgstreamer1.0-dev, ros-melodic-audio-common-msgs, ros-melodic-catkin, ros-melodic-roscpp
Homepage: http://ros.org/wiki/audio_capture
Standards-Version: 3.9.2

Package: ros-melodic-audio-capture
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gir1.2-gst-plugins-base-1.0, gir1.2-gstreamer-1.0, gstreamer1.0-plugins-base, gstreamer1.0-plugins-good, gstreamer1.0-plugins-ugly, gstreamer1.0-tools, libgstreamer-plugins-base1.0-0, libgstreamer1.0-0, ros-melodic-audio-common-msgs, ros-melodic-roscpp
Description: Transports audio from a source to a destination.
 Audio sources can come from a microphone or file. The destination can play the audio or save it to an mp3 file.
