## ros-melodic-audio-capture 0.3.17

=== debian/changelog ===
ros-melodic-audio-capture (0.3.17-1bionic) bionic; urgency=high

  * Merge pull request #220 <https://github.com/ros-drivers/audio_common/issues/220> from v4hn/master
  * on real systems publish system clock time in capture node
  * The capture node is hard-coded to alsasrc
  * Contributors: Shingo Kitagawa, v4hn

 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Jun 2023 15:00:00 -0000

ros-melodic-audio-capture (0.3.16-1bionic) bionic; urgency=high

  * Merge pull request #204 <https://github.com/ros-drivers/audio_common/issues/204> from knorth55/audio-capture-stamped
  * add todo comment
  * publish audio stamped in audio_capture.cpp
  * Merge pull request #216 <https://github.com/ros-drivers/audio_common/issues/216> from knorth55/launch-update
  * update audio_capture launch
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Thu, 22 Dec 2022 15:00:00 -0000

ros-melodic-audio-capture (0.3.15-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sun, 28 Aug 2022 15:00:00 -0000

ros-melodic-audio-capture (0.3.14-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 17 Aug 2022 15:00:00 -0000

ros-melodic-audio-capture (0.3.13-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 06 Apr 2022 15:00:00 -0000

ros-melodic-audio-capture (0.3.12-1bionic) bionic; urgency=high

  * Merge branch 'master' into master
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Tue, 31 Aug 2021 15:00:00 -0000

ros-melodic-audio-capture (0.3.11-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Wed, 07 Apr 2021 15:00:00 -0000

ros-melodic-audio-capture (0.3.10-1bionic) bionic; urgency=high

  * add bitrate in capture launch
  * [audio_capture] Publish audio info once before publishing /audio
  * Contributors: Naoya Yamaguchi, Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Wed, 06 Jan 2021 15:00:00 -0000

ros-melodic-audio-capture (0.3.9-1bionic) bionic; urgency=high

  * Merge pull request #160 <https://github.com/ros-drivers/audio_common/issues/160> from knorth55/add-device-play
  * use ROS_INFO instead of printf
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Wed, 21 Oct 2020 15:00:00 -0000

ros-melodic-audio-capture (0.3.8-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Sat, 12 Sep 2020 15:00:00 -0000

ros-melodic-audio-capture (0.3.7-1bionic) bionic; urgency=high

  * Merge pull request #150 <https://github.com/ros-drivers/audio_common/issues/150> from sktometometo/fix_mp3_options
    Fix property of lamemp3enc element in audio_capture so that the bitrate parameter work properly.
  * fix property of lamemp3enc element so that it will use the specified bitrate
  * Merge pull request #146 <https://github.com/ros-drivers/audio_common/issues/146> from knorth55/mp3-support
  * use space instead of tab
  * use same caps
  * support channls for mp3
  * Merge pull request #145 <https://github.com/ros-drivers/audio_common/issues/145> from knorth55/mp3-channel-rate
    [audio_capture] add sample_format in audio_capture
  * Merge pull request #147 <https://github.com/ros-drivers/audio_common/issues/147> from knorth55/fix-filesink
    [audio_capture] fix filesink for wave format
  * add sample_format arg in capture_to_file.launch
  * fix filesink for wave format
  * add sample_format in audio_capture
  * Contributors: Koki Shinjo, Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Fri, 07 Aug 2020 15:00:00 -0000

ros-melodic-audio-capture (0.3.6-1bionic) bionic; urgency=high

  * Merge pull request #141 <https://github.com/ros-drivers/audio_common/issues/141> from knorth55/add-maintainer
    add maintainer
  * add maintainer
  * Contributors: Shingo Kitagawa

 -- Austin Hendrix <namniart@gmail.com>  Thu, 28 May 2020 15:00:00 -0000

ros-melodic-audio-capture (0.3.5-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 27 Apr 2020 15:00:00 -0000

ros-melodic-audio-capture (0.3.4-1bionic) bionic; urgency=high

  * Merge branch 'master' of github.com:ros-drivers/audio_common
  * Contributors: Gerard Canal

 -- Austin Hendrix <namniart@gmail.com>  Wed, 01 Apr 2020 15:00:00 -0000

ros-melodic-audio-capture (0.3.3-1bionic) bionic; urgency=high



 -- Austin Hendrix <namniart@gmail.com>  Mon, 21 May 2018 15:00:00 -0000

ros-melodic-audio-capture (0.3.2-1bionic) bionic; urgency=high

  * [sound_play] add option to select audio device to play / record (#87 <https://github.com/ros-drivers/audio_common/issues/87>)
    * [sound_play] add option to select audio device to play
    * [sound_play] reformat README to markdown; add usage to set device via rosparam
    * audio_capture: add option for selecting device to use
    * audio_play: add option to select device for playing audio
    * add device argument to launch files
    Conflicts:
    audio_capture/launch/capture.launch
    audio_capture/launch/capture_to_file.launch
    audio_capture/src/audio_capture.cpp
    audio_play/launch/play.launch
    sound_play/scripts/soundplay_node.py
  * Merge pull request #102 <https://github.com/ros-drivers/audio_common/issues/102> from EndPointCorp/fix_capture_leak
    Fix audio_capture leak
  * Fix audio_capture sample/buffer leak
  * Merge pull request #90 <https://github.com/ros-drivers/audio_common/issues/90> from prarobo/master
    Error checking code and improvements to launch files
  * Bug fix
  * fix(audio_capture): capturing wave using gst1.0
    0.10-style raw audio caps were being created, according to GStreamer warning. Should be audio/x-raw,format=(string).. now.
  * Merge pull request #1 <https://github.com/ros-drivers/audio_common/issues/1> from prarobo/fixes
    Error checking code and improvements to launch files
  * Removed default device
  * Added error checking code
  * Added parameters to launch files

